### Enumeration

# Gtk FilterChange

#### Declaration

    enum Gtk.FilterChange

#### Description [src]

Describes changes in a filter in more detail and allows objects using the filter to optimize refiltering items.

If you are writing an implementation and are not sure which value to pass, `GTK_FILTER_CHANGE_DIFFERENT` is always a correct choice.

New values may be added in the future.

#### Members

`GTK_FILTER_CHANGE_DIFFERENT`

  The filter change cannot be described with any of the other enumeration values.

  - Value: `0`
  - Available since: 4.0
`GTK_FILTER_CHANGE_LESS_STRICT`

  The filter is less strict than it was before: All items that it used to return true still return true, others now may, too.

  - Value: `1`
  - Available since: 4.0
`GTK_FILTER_CHANGE_MORE_STRICT`

  The filter is more strict than it was before: All items that it used to return false still return false, others now may, too.

  - Value: `2`
  - Available since: 4.0
`GTK_FILTER_CHANGE_DIFFERENT_REWATCH`

  Similar to `GTK_FILTER_CHANGE_DIFFERENT`, but signs that item watches should be recreated. This is used by `GtkFilterListModel` to keep the list up-to-date when items change.

  - Value: `3`
  - Available since: 4.20
`GTK_FILTER_CHANGE_LESS_STRICT_REWATCH`

  Similar to `GTK_FILTER_CHANGE_LESS_STRICT`, but signs that item watches should be recreated. This is used by `GtkFilterListModel` to keep the list up-to-date when items change.

  - Value: `4`
  - Available since: 4.20
`GTK_FILTER_CHANGE_MORE_STRICT_REWATCH`

  Similar to `GTK_FILTER_CHANGE_MORE_STRICT`, but signs that item watches should be recreated. This is used by `GtkFilterListModel` to keep the list up-to-date when items change.

  - Value: `5`
  - Available since: 4.20